/* Copyright (C) by GFD-Dennou Club, 1999-2000.  All rights reserved. */
/* cffti.f -- translated by f2c (version 19990503).
   You must link the resulting object file with the libraries:
	-lf2c -lm   (in that order)
*/

#include "f2c.h"

/* ----------------------------------------------------------------------- */
/*     SUBROUTINE CFFTI(N,WSAVE) */

/*     SUBROUTINE CFFTI INITIALIZES THE ARRAY WSAVE WHICH IS USED IN */
/*     BOTH CFFTF AND CFFTB. THE PRIME FACTORIZATION OF N TOGETHER WITH */
/*     A TABULATION OF THE TRIGONOMETRIC FUNCTIONS ARE COMPUTED AND */
/*     STORED IN WSAVE. */

/*     INPUT PARAMETER */

/*     N       THE LENGTH OF THE SEQUENCE TO BE TRANSFORMED */

/*     OUTPUT PARAMETER */

/*     WSAVE   A WORK ARRAY WHICH MUST BE DIMENSIONED AT LEAST 4*N+15 */
/*             THE SAME WORK ARRAY CAN BE USED FOR BOTH CFFTF AND CFFTB */
/*             AS LONG AS N REMAINS UNCHANGED. DIFFERENT WSAVE ARRAYS */
/*             ARE REQUIRED FOR DIFFERENT VALUES OF N. THE CONTENTS OF */
/*             WSAVE MUST NOT BE CHANGED BETWEEN CALLS OF CFFTF OR CFFTB. */

/* Subroutine */ int cffti_(integer *n, real *wsave)
{
    extern /* Subroutine */ int cffti1_(integer *, real *, real *);
    static integer iw1, iw2;


    /* Parameter adjustments */
    --wsave;

    /* Function Body */
    if (*n == 1) {
	return 0;
    }
    iw1 = *n + *n + 1;
    iw2 = iw1 + *n + *n;
    cffti1_(n, &wsave[iw1], &wsave[iw2]);
    return 0;
} /* cffti_ */

